Index: LMDZ5/branches/testing/libf/phylmd/clesphys.h
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/clesphys.h	(revision 1910)
+++ LMDZ5/branches/testing/libf/phylmd/clesphys.h	(revision 1999)
@@ -18,5 +18,4 @@
        REAL(kind=8) CH4_ppb, N2O_ppb, CFC11_ppt, CFC12_ppt
 !IM ajout CFMIP2/CMIP5
-       REAL co2_ppm_per
        LOGICAL ok_4xCO2atm
        REAL(kind=8) RCO2_per,RCH4_per,RN2O_per,RCFC11_per,RCFC12_per
@@ -65,5 +64,5 @@
        CHARACTER(len=4) type_run
 ! aer_type: pour utiliser un fichier constant dans readaerosol 
-       CHARACTER*8 :: aer_type 
+       CHARACTER(len=8) :: aer_type 
        LOGICAL ok_regdyn
        REAL lonmin_ins, lonmax_ins, latmin_ins, latmax_ins
@@ -74,34 +73,45 @@
        REAL freq_COSP
        LOGICAL :: ok_cosp,ok_mensuelCOSP,ok_journeCOSP,ok_hfCOSP
-       INTEGER :: ip_ebil_phy, iflag_rrtm, iflag_ice_thermo
+       INTEGER :: ip_ebil_phy, iflag_rrtm, iflag_ice_thermo,NSW
        LOGICAL :: ok_strato
-       LOGICAL :: ok_hines
+       LOGICAL :: ok_hines, ok_gwd_rando
 
-       COMMON/clesphys/cycle_diurne, soil_model, new_oliq,              &
-     &     ok_orodr, ok_orolf, ok_limitvrai, nbapp_rad, iflag_con       &
-     &     , iflag_ener_conserv                                         &
-     &     , co2_ppm, solaire                                           &
+       COMMON/clesphys/                                                 &
+! REAL FIRST
+     &       co2_ppm, solaire                                           &
      &     , RCO2, RCH4, RN2O, RCFC11, RCFC12                           &
      &     , RCO2_act, RCH4_act, RN2O_act, RCFC11_act, RCFC12_act       &
-     &     , ok_4xCO2atm                                                & 
      &     , RCO2_per, RCH4_per, RN2O_per, RCFC11_per, RCFC12_per       &
      &     , CH4_ppb, N2O_ppb, CFC11_ppt, CFC12_ppt                     &
      &     , CH4_ppb_per, N2O_ppb_per, CFC11_ppt_per, CFC12_ppt_per     &
-     &     , top_height, overlap, cdmmax, cdhmax, ksta, ksta_ter        &
-     &     , ok_kzmin, fmagic, pmagic                                   &
+     &     , cdmmax, cdhmax, ksta, ksta_ter                             &
+     &     , fmagic, pmagic                                             &
      &     , f_cdrag_ter,f_cdrag_oce,f_rugoro                           &
+     &     , pasphys            , freq_outNMC, freq_calNMC              &
+     &     , lonmin_ins, lonmax_ins, latmin_ins, latmax_ins             &
+     &     , freq_ISCCP, ecrit_ISCCP, freq_COSP                         &
+     &     , cvl_corr                                                   &
+     &     , qsol0,albsno0,evap0                                        &
+     &     , co2_ppm0                                                   &
+     &     , ecrit_LES                                                  &
+     &     , ecrit_ins, ecrit_hf, ecrit_day                             &
+     &     , ecrit_mth, ecrit_tra, ecrit_reg                            &
+! THEN INTEGER AND LOGICALS
+     &     , top_height                                                 &
+     &     , cycle_diurne, soil_model, new_oliq                         &
+     &     ,ok_orodr, ok_orolf, ok_limitvrai, nbapp_rad, iflag_con      &
+     &     , iflag_ener_conserv                                         &
+     &     , ok_4xCO2atm                                                & 
+     &     , overlap                                                    &
+     &     , ok_kzmin                                                   &
      &     , lev_histhf, lev_histday, lev_histmth                       &
      &     , lev_histins, lev_histLES, lev_histdayNMC, levout_histNMC   &
-     &     , pasphys, ok_histNMC, freq_outNMC, freq_calNMC              &
+     &     , ok_histNMC                                                 &
      &     , type_run, ok_regdyn, ok_cosp                               &
      &     , ok_mensuelCOSP,ok_journeCOSP,ok_hfCOSP                     &
-     &     , lonmin_ins, lonmax_ins, latmin_ins, latmax_ins             &
-     &     , ecrit_ins, ecrit_hf, ecrit_day                             &
-     &     , ecrit_mth, ecrit_tra, ecrit_reg                            &
-     &     , freq_ISCCP, ecrit_ISCCP, freq_COSP, ip_ebil_phy            &
-     &     , ok_lic_melt, cvl_corr, aer_type                            &
-     &     , qsol0,albsno0,evap0                                        &
-     &     , iflag_rrtm, ok_strato,ok_hines,ecrit_LES                   &
-     &     , co2_ppm0, iflag_ice_thermo
+     &     , ip_ebil_phy                                                &
+     &     , ok_lic_melt,           aer_type                            &
+     &     , iflag_rrtm, ok_strato,ok_hines                             &
+     &     , iflag_ice_thermo, ok_gwd_rando, NSW
      
        save /clesphys/
